Skip to navigation

Add recipients to envelope

View as Markdown

Adds one or more recipients to an envelope.

For an in process envelope, one that has been sent and has not been completed or voided, an email is sent to a new recipient when they are reached in the routing order. If the new recipient’s routing order is before or the same as the envelope’s next recipient, an email is only sent if the optional resend_envelope query string is set to true.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

envelopeIdstringRequired

The envelope’s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec

Query parameters

resend_envelopestringOptional

When set to true, resends the envelope if the new recipient’s routing order is before or the same as the envelope’s next recipient.

Request

This endpoint expects an object: EnvelopeRecipients

agentslist of objectsOptional
A complex type defining the management and access rights of a recipient assigned assigned as an agent on the document.
carbonCopieslist of objectsOptional
A complex type containing information about recipients who should receive a copy of the envelope, but does not need to sign it.
certifiedDeliverieslist of objectsOptional
A complex type containing information on a recipient the must receive the completed documents for the envelope to be completed, but the recipient does not need to sign, initial, date, or add information to any of the documents.
currentRoutingOrderstringOptional
editorslist of objectsOptional
A complex type defining the management and access rights of a recipient assigned assigned as an editor on the document.
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
inPersonSignerslist of objectsOptional
Specifies a signer that is in the same physical location as a DocuSign user who will act as a Signing Host for the transaction. The recipient added is the Signing Host and new separate Signer Name field appears after Sign in person is selected.
intermediarieslist of objectsOptional

Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).

recipientCountstringOptional

The list of recipient event statuses that will trigger Connect to send updates to the url. It can be a two-part list with:

  • recipientEventStatusCode - The recipient status, this can be Sent, Delivered, Completed, Declined, AuthenticationFailed, and AutoResponded.
  • includeDocuments - When set to true, the envelope time zone information is included in the message.
sealslist of objectsOptional
signerslist of objectsOptional
A complex type containing information about the Signer recipient.
witnesseslist of objectsOptional

Response

Successful response.
agentslist of objectsOptional
A complex type defining the management and access rights of a recipient assigned assigned as an agent on the document.
carbonCopieslist of objectsOptional
A complex type containing information about recipients who should receive a copy of the envelope, but does not need to sign it.
certifiedDeliverieslist of objectsOptional
A complex type containing information on a recipient the must receive the completed documents for the envelope to be completed, but the recipient does not need to sign, initial, date, or add information to any of the documents.
currentRoutingOrderstringOptional
editorslist of objectsOptional
A complex type defining the management and access rights of a recipient assigned assigned as an editor on the document.
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
inPersonSignerslist of objectsOptional
Specifies a signer that is in the same physical location as a DocuSign user who will act as a Signing Host for the transaction. The recipient added is the Signing Host and new separate Signer Name field appears after Sign in person is selected.
intermediarieslist of objectsOptional

Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).

recipientCountstringOptional

The list of recipient event statuses that will trigger Connect to send updates to the url. It can be a two-part list with:

  • recipientEventStatusCode - The recipient status, this can be Sent, Delivered, Completed, Declined, AuthenticationFailed, and AutoResponded.
  • includeDocuments - When set to true, the envelope time zone information is included in the message.
sealslist of objectsOptional
signerslist of objectsOptional
A complex type containing information about the Signer recipient.
witnesseslist of objectsOptional

Errors

400
Bad Request Error